namespace HerramientaCASA.Model
{
    public class UserState
    {
        private readonly object _lock = new object();
        private int _idUser;
        private bool _esAdmin;
        private bool _puedeAcceder;
        public int idUser
        {
            get
            {
                lock (_lock)
                {
                    return _idUser;
                }
            }
            set
            {
                lock (_lock)
                {
                    _idUser = value;
                }
            }
        }

        public bool EsAdmin
        {
            get
            {
                lock (_lock)
                {
                    return _esAdmin;
                }
            }
            set
            {
                lock (_lock)
                {
                    _esAdmin = value;
                }
            }
        }


        public bool PuedeAcceder
        {
            get
            {
                lock (_lock)
                {
                    return _puedeAcceder;
                }
            }
            set
            {
                lock (_lock)
                {
                    _puedeAcceder = value;
                }
            }
        }

    }
}
